<template>
  <div class="app-container">
    &nbsp;
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
import Dashboard from '@/api/dashboard';
const dashboardResource = new Dashboard('dashboard');
// import WalletListfrom from '@/../js/views/wallets/List'; // Secondary package based on el-pagination

// import editorDashboard from './editor';

export default {
  name: 'Dashboard',
  // components: { adminDashboard, editorDashboard, WalletListfrom },
  components: {},
  data() {
    return {
      currentRole: 'adminDashboard',
    };
  },
  computed: {
    ...mapGetters([
      'name',
      'code',
      'roles',
    ]),
  },
  created() {
    if (!this.roles.includes('admin')) {
      this.currentRole = 'editorDashboard';
    }
  },
  methods: {
    async getList() {
      this.listLoading = true;
      const { result } = await dashboardResource.mine(this.query);
      this.list = result.rows;
      this.total = result.total;
      // this.list.forEach((element, index) => {
      //   element['index'] = (page - 1) * limit + index + 1;
      // });
      this.listLoading = false;
    },
  },
};
</script>
